# $Revision: 1.2 $, $Date: 2002/08/01 12:29:42 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	PassGen
Summary:	Crypt::PassGen Perl module - generate a random password
Summary(pl):	Modu Perla Crypt::PassGen - generujcy losowe hasa
Name:		perl-Crypt-PassGen
Version:	0.02
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-FHS.patch
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Storable
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	words
BuildConflicts:	wordlist
Requires:	words
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a single command for generating random password
that is close enough to a real word that it is easy to remember. It
does this by using the frequency of letter combinations in a language.

%description -l pl
Ten modu udostpnia polecenie do generowania losowych hase
zblionych do prawdziwych sw na tyle, e s atwe do zapamitania.
Uywa do tego tablicy czstoci wystpowania kombinacji liter w danym
jzyku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Crypt/PassGen.pm
%{perl_sitelib}/Crypt/PassGenWordFreq.dat
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-PassGen.spec,v $
Revision 1.2  2002/08/01 12:29:42  ankry
- /usr/share/dict/words from words package is required (BR:words, BC:wordlist)
- added -FHS.patch fixing path to this file
- release 2

Revision 1.1  2002/07/30 22:07:54  qboosh
- new
